<app-common-header name="Create group" btnBackLink="/app/tabs/tab-menu/group-manage"></app-common-header>

<ion-content>
    <div align="center" id="inputGroupName">
        <input [(ngModel)]="groupName" type="text" placeholder="Enter Name of Group here" autofocus>
        <p>You can <span style="color: red">not</span> change this information later</p>
    </div>

    <ion-item line="inset">
        <ion-grid>
            <ion-row>
                <ion-label color="medium">Creator</ion-label>
            </ion-row>
            <ion-row>
                <p>{{creator}}</p>
            </ion-row>
        </ion-grid>
    </ion-item>

    <ion-item lines="none">
        <ion-grid>
            <ion-row>
                <ion-label color="medium">Member Public Key</ion-label>
            </ion-row>
            <ion-row>
                <ion-list>
                    <ion-item-sliding>
                        <ion-item *ngFor="let cosigner of cosigners; let i = index; trackBy:trackByIndex;">
                            <p class="index" *ngIf="checkKey(i)">{{i + 1}}</p>
                            <p class="index" *ngIf="!checkKey(i)" style="background:#f04141">{{i + 1}}</p>
                            <ion-input class="address" type="text" spellcheck="false" [(ngModel)]="cosigners[i]">
                            </ion-input>
                            <ion-icon *ngIf="cosigners.length>1" id="remove" name="close-circle-outline"
                                (click)="onRemove(i)" tappable></ion-icon>
                        </ion-item>
                    </ion-item-sliding>
                </ion-list>
            </ion-row>
            <ion-row>
                <ion-icon id="add" name="add-circle" *ngIf="cosigners.length<4" (click)="onAdd()" tappable>
                </ion-icon>
            </ion-row>
        </ion-grid>
    </ion-item>

    <div id="btnCreate" (click)="createGroup()">
        <ion-button>Create Group</ion-button>
    </div>

</ion-content>